Subject: [PATCH v2] cpufreq: mt8173: move resources allocation into ->probe()

From: [email-masked] (Viresh Kumar)
Date: Mon, 7 Dec 2015 21:33:57 +0530

On 07-12-15, 20:42, Pi-Cheng Chen wrote:
> >>         ret = dev_pm_opp_init_cpufreq_table(info->cpu_dev, &freq_table);
> >
> > Hmm. Does this change at init() time?  Or can we move this to probe(), too?
> 
> It doesn't change at init() time for MT8173 since we don't add OPP
> dynamically and I don't see any problem to move it. I will move it to probe().

No. None of this belongs to probe(), we do it there just to handle the
EPROBE_DEFER thing. Please don't move anything that isn't required to
be.

-- 
viresh